Rejouer un webhook
curl --request POST \
--url https://apidjonanko.tech/web-merchant/webhooks/{id}/replay \
--header 'authenticationtoken: <api-key>'const options = {method: 'POST', headers: {authenticationtoken: '<api-key>'}};
fetch('https://apidjonanko.tech/web-merchant/webhooks/{id}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apidjonanko.tech/web-merchant/webhooks/{id}/replay"
headers = {"authenticationtoken": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apidjonanko.tech/web-merchant/webhooks/{id}/replay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"authenticationtoken: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"delivered": true,
"delivery": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "https://example.com/webhooks/djonanko",
"payload": {
"status": "SUCCESS",
"amount": 5000,
"reference": "PAYR9PVUYEWVF",
"provider": "Wave",
"country_code": "CI",
"created_date": "2026-09-18T08:00:00.000Z",
"fees": 100,
"metadata": {
"order_id": "CMD-2026-00042",
"email": "client@example.com",
"phoneNumber": "+2250700000000"
}
},
"status": "PENDING",
"attempts": 8,
"maxAttempts": 8,
"lastHttpStatus": 403,
"lastError": "<string>",
"nextRetryAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}Webhooks
Rejouer un webhook
Rejoue immédiatement une livraison en échec et renvoie le résultat de la tentative. Le compteur de tentatives est remis à zéro. L’appel est bloquant le temps de la tentative (timeout 15 s).
POST
/
web-merchant
/
webhooks
/
{id}
/
replay
Rejouer un webhook
Authorizations
JWT obtenu via POST /user/login-merchant. À passer tel quel, sans préfixe Bearer.
Path Parameters
Identifiant de la livraison (items[].id de la liste des échecs).
